#
# spec file for package zypper (Version 0.8.26)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake bash binutils boost boost-devel bzip2 cmake coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils dirmngr file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gpg2 grep groff gzip hal hal-devel info insserv less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcurl-devel libcurl4 libdb-4_5 libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libidn-devel libksba libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-certs pam pam-config pam-modules parted patch pcre pcre-devel perl perl-base permissions pinentry pkg-config pmtools popt popt-devel pth pwdutils readline-devel rpm rpm-devel sed setserial sqlite sysvinit tar texinfo timezone util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb zlib zlib-devel


Name:           zypper
BuildRequires:  boost-devel >= 1.33.1 gettext-devel >= 0.15 libzypp-devel > 3.23.1 readline-devel >= 5.1
BuildRequires:  cmake >= 2.4.6 gcc-c++ >= 4.1 pkg-config >= 0.20
Requires:       procps
License:        GPL v2 or later
Group:          System/Packages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
PreReq:         permissions
Summary:        Command Line Package Management Using Libzypp
Version:        0.8.26
Release:        0.1
Source:         zypper-0.8.26.tar.bz2
Prefix:         /usr
Url:            http://en.opensuse.org/Zypper
Provides:       y2pmsh 
Obsoletes:      y2pmsh 

%description
Command Line Package Management Using Libzypp



Authors:
--------
    Jan Kupec <jkupec@suse.cz>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Martin Vidner <mvidner@suse.cz>

%debug_package
%prep
%setup -q

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{prefix} \
      -DSYSCONFDIR=%{_sysconfdir} \
      -DMANDIR=%{_mandir} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="%{optflags}" \
      -DCMAKE_BUILD_TYPE=Release \
      ..
#gettextize -f
make %{?jobs:-j %jobs}
make -C po %{?jobs:-j %jobs} translations

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
make -C po install DESTDIR=$RPM_BUILD_ROOT
# Create filelist with translatins
cd ..
%{find_lang} zypper
#rm -f ${RPM_BUILD_ROOT}%{_sbindir}/zypp-checkpatches-wrapper
%{__install} -d -m755 %buildroot%_var/log
touch %buildroot%_var/log/zypper.log

%post
%run_ldconfig
%run_permissions
%verifyscript
%verify_permissions -e %{_sbindir}/zypp-checkpatches-wrapper

%postun
%run_ldconfig

%clean

%files -f zypper.lang
%defattr(-,root,root)
%{_sysconfdir}/logrotate.d/zypper.lr
%{_bindir}/zypper
%{_bindir}/installation_sources
%{_sbindir}/zypp-checkpatches
%verify(not mode) %attr (755,root,root) %{_sbindir}/zypp-checkpatches-wrapper
%doc %{_mandir}/*/*
%doc %dir %{_datadir}/doc/packages/zypper
%doc %{_datadir}/doc/packages/zypper/TODO
%doc %{_datadir}/doc/packages/zypper/zypper-rug
%doc %{_datadir}/doc/packages/zypper/COPYING
%doc %{_datadir}/doc/packages/zypper/HACKING
# declare ownership of the log file but prevent
# it from being erased by rpm -e
%ghost %config(noreplace) %{_var}/log/zypper.log

%changelog
* Fri Jun 20 2008 - jkupec@suse.cz
- ypp-checkpatches: don't accept files with GPG problems, report an
  error instead (bnc #398530)
- r10428
- 0.8.26
* Sat Sep 29 2007 - jkupec@suse.cz
- missing -y option added to the update command (#331632)
- Fixed misalignment in localized tables (#328918) (mvidner).
- correctly translate the command list (#327487)
- don't check if to refresh cd/dvd repos even on user request unless forced
- man page updated
- translations update
- r7479
- 0.8.25
* Fri Sep 28 2007 - ma@suse.de
- Attempt to fix memory corruption in zypper (#305196).
  The memory corruption occurres on ppc only, and only if compiled
  with -O2. Although it is likely to be a gcc bug, the current code
  seems to be less affected.
- r7405
- 0.8.24
* Tue Sep 25 2007 - jkupec@suse.cz
- german translation update
- r7362
* Fri Sep 21 2007 - jkupec@suse.cz
- fix zypper refresh exit status (#326694)
- translations update
- r7333
- 0.8.23
* Thu Sep 20 2007 - jkupec@suse.cz
- gcc build requires decreased to gcc 4.1
* Wed Sep 19 2007 - aschnell@suse.de
- close file-descriptors > 2 in zypp-checkpatches-wrapper (bug
  [#325556])
* Tue Sep 18 2007 - aschnell@suse.de
- call setgid and umask and check file-descriptors 0, 1 and 2 in
  zypp-checkpatches-wrapper (bug #325556)
* Tue Sep 18 2007 - dmacvicar@suse.de
- fix (#309267) reinstalling already installed resolvables
  (adds --force option)
- 0.8.22
* Mon Sep 17 2007 - jkupec@suse.cz
- translations update
- r7273
* Fri Sep 14 2007 - jkupec@suse.cz
- don't warn about reboot or restart if the action has been cancelled
  (#257520)
- translations update
- r7250
- 0.8.20
* Thu Sep 13 2007 - dmacvicar@suse.de
- Show reason of commit error (#308511)
- 0.8.20
* Wed Sep 12 2007 - jkupec@suse.cz
- translations update
* Wed Sep 12 2007 - jkupec@suse.cz
- display localized resolvable kind in various texts
* Wed Sep 12 2007 - jkupec@suse.cz
- displaying the file download progress during commit phase
  (installation) by default (#309043)
- make package selection by name (--name) the default for
  install/remove commands (due to many bug reports)
- --capability added to install/remove commands to select packages
  by capability
- r7205
* Tue Sep 11 2007 - jkupec@suse.cz
- always display name instead of alias (except for the renamerepo
  command, which works with alias) (#308669)
- don't display the number of problems if only one found (#304283)
- translations update
- r7194
* Tue Sep 11 2007 - jkupec@suse.cz
- translations update
- man page update
- r7174
* Mon Sep 10 2007 - jkupec@suse.cz
- report too many arguments (#307639)
- r7164
* Mon Sep 03 2007 - jkupec@suse.cz
- fix broken compiler flags (schwab)
- r7099
- 0.8.19
* Mon Sep 03 2007 - jkupec@suse.cz
- authentication prompt implemented (#190609)
- LOCK documention added to man page (mvidner)
- r7093
* Mon Sep 03 2007 - jkupec@suse.cz
- removing rpm message improved (#307132)
- r7086
* Mon Sep 03 2007 - kkaempf@suse.de
- make (r)etry (c)ancel answer case-insensitive (#307122)
* Fri Aug 31 2007 - jkupec@suse.cz
- fixed error message of zypper ar -r (#306667)
- r7055
* Fri Aug 31 2007 - kkaempf@suse.de
- dont prompt for solutions if none are available.
- dont duplicate dependency problems in output.
- indent details by 2 blanks, resolver indents further details
  by 4 blanks.
- provide additional details for problems (#306240)
- don't prompt user for every dependency (#304325)
- don't clutter the log with pool lists.
- r 7054
* Thu Aug 30 2007 - jkupec@suse.cz
- suppressing excessive output of media errors
- prompting for media change only for changeable media
- adapted to libzypp 3.21.0 (#294481)
- r7043
- 0.8.18
* Wed Aug 29 2007 - jkupec@suse.cz
- proper fix for y/n translation (#304650)
- r6965
* Wed Aug 29 2007 - jkupec@suse.cz
- expect MediaException during commit (#305113)
- r6964
* Tue Aug 28 2007 - jkupec@suse.cz
- displaying repo name instead of alias where appropriate (#304659)
- don't display URI by default (#230335)
- r6947
* Tue Aug 28 2007 - kkaempf@suse.de
- Don't search disabled repos, override with --repo (#304653)
- r 6945
* Tue Aug 28 2007 - dmacvicar@suse.de
- (#302379) allows to skip packages and abort
* Tue Aug 28 2007 - mvidner@suse.cz
- "help foo" now works like "foo --help" (by Dominique Leuenberger, #299818).
* Tue Aug 28 2007 - kkaempf@suse.de
- support "-r" (limit to repo) on search (#305384)
- rev 6937
- version 0.8.17
* Tue Aug 28 2007 - kkaempf@suse.de
- allow for multiple types when searching, default to '-t package'.
  check architecture on search output,
  different arch is always 'uninstalled'.
  don't show 'atoms' in 'zypper up' output.
  (#300569)
- rev 6933
* Tue Aug 28 2007 - dmacvicar@suse.de
- a init target at refresh to have keys available
  (#304672)
- rev 6928
* Mon Aug 27 2007 - jkupec@suse.cz
- translations update
- mark [y/n] for translation (#304650)
- r6894
* Fri Aug 24 2007 - mvidner@suse.cz
- Help now works in the shell (by Dominique Leuenberger, #299818).
* Thu Aug 23 2007 - mvidner@suse.cz
- Shell stopped working at all; fixed (#301666).
* Thu Aug 23 2007 - mvidner@suse.cz
- Re-enabled the read-only lock for service-list (#302152).
- Corrected cache paths in the man page (#302662).
- 0.8.16
* Tue Aug 21 2007 - dmacvicar@suse.de
- fix invalid capability creation (#301690)
- 0.8.15
* Tue Aug 21 2007 - tgoettlicher@suse.de
- unification and clean up of XML output
- r6787
* Tue Aug 21 2007 - mls@suse.de
- fixed changelog ordering
* Mon Aug 20 2007 - kkaempf@suse.de
- fix first column (i/v) of 'search' output
- r6759
- 0.8.14
* Mon Aug 20 2007 - kkaempf@suse.de
- adapt to unified query API of libzypp-3.18.x
- r6756
* Fri Aug 17 2007 - jkupec@suse.cz
- text update from proof-reading
- some output clean-up
- r6746
- 0.8.13
* Fri Aug 17 2007 - kkaempf@suse.de
- implement --type and --match-exact options for cache search
- fix repository and kind in output
  requires libzypp >= 3.17.0
- r6737
* Fri Aug 17 2007 - kkaempf@suse.de
- initial implementation of cache search
  requires libzypp >= 3.16.0
- r6722, version 0.8.12
* Thu Aug 16 2007 - jkupec@suse.cz
- more comprehensive message after adding a repository
- disabling autorefresh for CD and refreshing right after adding with
  zypper addrepo (part of #292417)
- install summary formatting bug (no new line and indent)
- more improved error reporting
- r6704
* Wed Aug 15 2007 - jkupec@suse.cz
- providing correct capability for installing a resolvable(#298322)
  fixed for real this time
- r6686
- 0.8.11
* Tue Aug 14 2007 - jkupec@suse.cz
- zypper repos --export <FILE|-> added for exporting definitions of
  repositories into a single repo file (FATE #301744)
- improved zypper install command description in the man (#284725)
- r6650
* Tue Aug 14 2007 - jkupec@suse.cz
- forgotten --catalog alias for --repo option added for rug
  compatibility (support fo repo numbers as --repo argument still
  pending)
- r6645
* Tue Aug 14 2007 - tgoettlicher@suse.de
- fixed missing </stream> tag in xml output
- r6635
* Mon Aug 13 2007 - jkupec@suse.cz
- providing correct capability for installing a resolvable(#298322)
- fixed spaces in a message (#299620)
- r6638
* Mon Aug 13 2007 - tgoettlicher@suse.de
- removed restart message from xml (#298942)
- r6626
* Sun Aug 12 2007 - jkupec@suse.cz
- user-friendly install summary (FATE #302152) - try also verbose
  output (-v)
- r6621
- 0.8.10
* Fri Aug 10 2007 - dmacvicar@suse.de
- apply persistant locks on establish
- require libzypp 3.14.0
* Fri Aug 10 2007 - jkupec@suse.cz
- improved error reporting of repository operations (#298506)
- r6564
* Thu Aug 09 2007 - jkupec@suse.cz
- Logging of zypper version added.
- '-n' shorthand added for --non-interactive
- r6539
* Wed Aug 08 2007 - jkupec@suse.cz
- fixed -y option support (did not switch to non-interactive mode)
- r6521
* Tue Aug 07 2007 - tgoettlicher@suse.de
- added status "no-update-repositories" to xml output when no update
  repos are defined (#fate 300635)
- r6510
* Tue Aug 07 2007 - jkupec@suse.cz
- fixed zypper to complain when given an invalid answer in y/n prompt
  (#232250) plus made the answer translatable.
- r6507
* Mon Aug 06 2007 - jkupec@suse.cz
- changed zypper source-install to take more arguments at once
- changed the versioned capability to be expected as
  NAME[OP<EDITION>] (without spaces) for in/rm commands
- r6498
- 0.8.9
* Mon Aug 06 2007 - jkupec@suse.cz
- removed provides/obsoletes rug (#294224)
- r6491
- 0.8.8
* Mon Aug 06 2007 - jkupec@suse.cz
- preliminary support for installation of source packages
  (FATE #301171), without possibility to specify version to install
  and to install its dependencies along
- r6489
* Sun Aug 05 2007 - jkupec@suse.cz
- translations added/updated
- r6478
* Sun Aug 05 2007 - jkupec@suse.cz
- new refresh options added: --force, --force-build, --force-download,
  --build-only, --download-only
- r6476
* Sat Aug 04 2007 - jkupec@suse.cz
- zypper refresh now takes aliases or repo numbers that should be
  refreshed as arguments.
- zypper repos output fixed to show proper repo numbers (#296779)
- r6473
* Fri Aug 03 2007 - dmacvicar@suse.de
- zypper uses tribool internally. So autorefresh and enabled now
  have this order of preference:
  cmd line value
  .repo file
  zypp default
- 0.8.7
* Fri Aug 03 2007 - dmacvicar@suse.de
- better error handling. remove duplicated libzypp code.
  Let libzypp probe the urls for us.
* Fri Aug 03 2007 - tgoettlicher@suse.de
- removed installnotify from xml output
- r6433
* Fri Aug 03 2007 - tgoettlicher@suse.de
- renamed resolvabletype to kind in xml output
- r6413
* Fri Aug 03 2007 - tgoettlicher@suse.de
- added xml output for some messages
- 6411
* Thu Aug 02 2007 - dmacvicar@suse.de
- added xml output in terse mode
- r6406
* Thu Aug 02 2007 - tgoettlicher@suse.de
- added xml error message to zypp-checkpatches-wrapper
- r6395
* Wed Aug 01 2007 - jkupec@suse.cz
- --repo re-implemented to restrict operation to the specified
  repository (FATE #302160, #302158)
- r6365
* Wed Aug 01 2007 - tgoettlicher@suse.de
- added --non-interactive --terse to zypp-checkpatches-wrapper
- added to machine_readable to zypper-callbacks
- r6359
* Wed Aug 01 2007 - tgoettlicher@suse.de
- option xu only shows affect-package-manager patches when available
  because they have top priority
- added installnotify message to xml
- r6356
* Tue Jul 31 2007 - jkupec@suse.cz
- fixed typo in the help (#295980)
- r6327
* Tue Jul 31 2007 - schubi@suse.de
- Removed keepExtra parameter in resolvePool; Bug 294727
- r6323
* Tue Jul 31 2007 - jkupec@suse.cz
- --debug-solver added for generating solver test case
- r6319
* Mon Jul 30 2007 - jkupec@suse.czi
- new translations added
- r6307
- 0.8.6
* Mon Jul 30 2007 - jkupec@suse.cz
- Cleaned up RepoInfo tribools (adapted to libzypp 3.13.1)
- r6306
* Mon Jul 30 2007 - jkupec@suse.cz
- fixed proper error message if a repo is invalid (#294483,#294488)
- r6298
* Mon Jul 30 2007 - jkupec@suse.cz
- output functions for progress reporting now take ostream as argument
- made some progress displayed by default. This will need more tuning.
- missing files added to .spec file
- r6285
- 0.8.5
* Mon Jul 30 2007 - jkupec@suse.cz
- Rug's --no-confirm option changed to work as --non-interactive
- moved --no-confirm from help texts and man page to COMPATIBILITY
  WITH RUG section of the man page
- r6278
* Fri Jul 27 2007 - mvidner@suse.cz
- Implemented capabilities for installing and removing, allowing to
  install by provided tags and files (F#301956) or a specific
  version (F#302186): zypper in 'clamav = 0.90-0.1'; zypper rm
  /bin/vi; zypper in libcurl.so.3; zypper in 'perl(Time::ParseDate)'
- Added --name,-n to install and remove to use the old selection
  method in case the new one does not work.
- r6274
- 0.8.4
* Thu Jul 26 2007 - jkupec@suse.cz
- output clean-up (#216042)
- fixed typo (#293797)
- r6256
* Thu Jul 26 2007 - kkaempf@suse.de
- implement '--best-effort' for upgrade (experimental)
- r6235
* Thu Jul 26 2007 - jkupec@suse.cz
- cmake added to build dependencies
- added versions to build deps
- r6229
* Thu Jul 26 2007 - tgoettlicher@suse.de
- moved --machine-readable option to --terse
- r6221
* Thu Jul 26 2007 - jkupec@suse.cz
- fixed non-interactive mode for media change request (#294685)
- r6220
* Wed Jul 25 2007 - kkaempf@suse.de
- implement '--best-effort' for "list updates"
  adapt output columns appropriately (in best-effort mode, zypper
  does not know the repository, version, or architecture since the
  dependency solver will determine it later.)
- make "list update" output handling more robust
- r6216
* Wed Jul 25 2007 - kkaempf@suse.de
- add "--from-repo" option to "list updates" and "update" to limit
  updates to a specific repository.
- improve help of (-t <resolvable type>) by explicitly listing
  possible types.
- r6213
* Wed Jul 25 2007 - tgoettlicher@suse.de
- minor changes in machine_readable option
- r6208
* Wed Jul 25 2007 - tgoettlicher@suse.de
- minor changes in machine_readable option
- r6201.
* Tue Jul 24 2007 - mvidner@suse.cz
- Fixed zypper --version (broken when switching to cmake).
* Mon Jul 23 2007 - tgoettlicher@suse.de
- Added --machine-readable to install command
- r6160
* Mon Jul 23 2007 - tgoettlicher@suse.de
- Adapted zypp-checkpatches-wrapper for use with "zypper -q xu"
- r6158.
* Mon Jul 23 2007 - tgoettlicher@suse.de
- Added "xml-updates" to help command
- r6153
* Thu Jul 19 2007 - jkupec@suse.cz
- some texts clean-up for first translation round
- updated libzypp build-dep version
- r6091
- 0.8.3
* Thu Jul 19 2007 - tgoettlicher@suse.de
- renamed command "xml-updates-patches" to "xml-updates"
- added license information to xml output
- r6085
* Wed Jul 18 2007 - jkupec@suse.cz
- --auto-agree-with-licenses option added (#216649)
- r6080
* Wed Jul 18 2007 - tgoettlicher@suse.de
- add "xml-updates-patches" command to zypper that creates
  output like zypp-checkpatches
- r6078
* Wed Jul 18 2007 - jkupec@suse.cz
- man page update, COMPATIBILITY WITH RUG section added
- renamed command 'listrepos' to just 'repos'
- s/service/repository
- remove repository by URL reimplemented
- --loose-auth and --loose-query added for removerepo command
  (#292362)
- keyring callbacks improved and prepared for non-interactive and
  no-gpg-checks mode (#216649)
- no-gpg-checks global option added. (FATE #301998)
- show repo in the repo list as disabled only if enabled() == false
  (tribool bug)
- r6066
* Thu Jul 12 2007 - jkupec@suse.cz
- s/source/repository in zypper texts, help page will follow
- display a non-root error message for commands which require root
- callbacks improved
- r5984
- 0.8.2
* Mon Jul 09 2007 - jkupec@suse.cz
- modifyrepo command added (alias service-modify, sm, mr).
  The command is able to enable/disable repo and enable/disable
  auto-refresh for it.
- r5928
- 0.8.1
* Fri Jul 06 2007 - jkupec@suse.cz
- --silent global option added. Use cout_n for normal program
  output which should be suppressed by --silent option.
- some output clean-up (still work to do)
- r5899
* Tue Jul 03 2007 - jkupec@suse.cz
- Adapted to refactored libzypp repository management
- fixed consistency of <required> and [optional] arguments
- improved update command description
- changed sa, sr descriptions + some other minor changes
- made help texts consistent
- r5871
- 0.8.0
* Tue Jun 19 2007 - mvidner@suse.cz
- Fixed an endless loop in Abort/Retry/Ignore (#269263).
* Sat Jun 16 2007 - jkupec@suse.cz
- switched building from autotools to cmake
- replaced zmart occurances with zypper
- r5711
* Tue Jun 05 2007 - jkupec@suse.cz
- fixed changed log file path also in zypper.lr
- r5669
* Mon Jun 04 2007 - jkupec@suse.cz
- moved zypper log from /var/log/YaST2 to /var/log
- declared ownership of the log file by zypper package
- r5667
- 0.7.2
* Thu Apr 26 2007 - jkupec@suse.cz
- Show a user readable message when check-patches
  can't acquire the lock. (#227073) (Merged from
  SuSE-Linux-10_2-Branch r4814)
- r5451
* Thu Feb 22 2007 - mvidner@suse.cz
- Use the read-only hacek for service-list (#247001).
* Tue Feb 13 2007 - mvidner@suse.cz
- Shrunk zypp-checkpatches (#224886).
* Tue Feb 13 2007 - mvidner@suse.cz
- Do not allow to commit with unresolved dependency problems;
  resolve them interactively (#242736).
- 0.7.1
* Mon Feb 05 2007 - mvidner@suse.cz
- Shell: added command line editing with history (#232374);
  exit on EOF (#230211, #235709).
- 0.7.0
* Fri Feb 02 2007 - jkupec@suse.cz
- Non-interactive mode turns on --skip-interactive as well
  (part of fix #224216)
- r4964
* Thu Feb 01 2007 - jkupec@suse.cz
- Merged revisions 4943-4944,4946-4958 via svnmerge from
  SuSE-Linux-10_2-Branch. Changelog follows:
- Hungarian translation added.
- Slovak translation added.
- enabled DownloadResolvableReportReceiver::problem() callback
  (#224216)
- global non-iteractive mode added (needed due to bug #224216 and
  no-confirm option of install and update commands).
- POTFILES.in updated
- r4959
* Thu Feb 01 2007 - mvidner@suse.cz
- Added global option --root to operate on a different directory
  (#238165, F#301963).
* Wed Jan 31 2007 - jkupec@suse.cz
- locale support added (merged from 10.2/SP1 branch)
- r4941
* Fri Jan 12 2007 - jkupec@suse.cz
- Texts corrected based on feedback from proof-reading.
- r4852
* Thu Jan 11 2007 - jkupec@suse.cz
- more texts marked for translation
- r4848
* Tue Jan 09 2007 - mvidner@suse.cz
- Fixed building on SLE10-SP1.
* Mon Dec 18 2006 - jkupec@suse.cz
- fixed uncaught checksum exception (#224216)
- 0.6.14
* Fri Dec 01 2006 - jkupec@suse.cz
- fixed error output when trying to install an already installed
  package (#224129)
- fixed missing target resolvables in search (#224673)
* Fri Dec 01 2006 - mvidner@suse.cz
- installation_sources: fixed to be compatible even with
  /opt/kde3/bin/kde_add_yast_source.sh (#223795).
- zypp-checkpatches does not need -lboost_program_options (#224764)
* Thu Nov 30 2006 - jkupec@suse.cz
- Added explicit dependency on procps package.
* Mon Nov 20 2006 - mvidner@suse.cz
- Respect "update --skip-interactive" (#221476).
- list-updates: warn if we are listing only patches affecting the
  package manager and there are also others.
- 0.6.13
* Mon Nov 20 2006 - mvidner@suse.cz
- update -t package: keep the same architecture (#222140).
- 0.6.12
* Wed Nov 15 2006 - mvidner@suse.cz
- Resurrected /usr/bin/installation_sources, as a shell wrapper for
  zypper (#163737).
- 0.6.11
* Wed Nov 15 2006 - mvidner@suse.cz
- service-add: added options --type (especially for Plaindir,
  [#174369]), --disabled, and --no-refresh.
- 0.6.10
* Mon Nov 13 2006 - mvidner@suse.cz
- Fixed service-rename leaving the old name around.
- 0.6.9
* Mon Nov 13 2006 - jkupec@suse.cz
- license confirmation upon installation/update added
- 0.6.8
* Fri Nov 10 2006 - jkupec@suse.cz
- solve_and_commit() changed to return informative exit codes if
  a reboot or package manager restart is needed after
  installation/removal of patches requiring such actions.
- 0.6.7
* Fri Nov 10 2006 - mvidner@suse.cz
- Do not obsolete y2pmsh.rpm yet.
* Thu Nov 09 2006 - mvidner@suse.cz
- Fixed option parsing broken by unterminated option lists in 0.6.4
  (for example install -t was thinking -t stood for --terse).
- If "install"ing more resolvables at a time, don't commit one by one.
- 0.6.6
* Wed Nov 08 2006 - jkupec@suse.cz
- Several exit codes defined for use in scripts.
* Wed Nov 08 2006 - mvidner@suse.cz
- Call dump_pool more often for better debugging.
- 0.6.5
* Tue Nov 07 2006 - jkupec@suse.cz
- --help option added for each command
- help texts added
- unkown command on 'zypper --help' fixed
- defaulting to package in rug compatibility for search command
- Bundle column replaced by Type in non-compatible mode
- 0.6.4
* Mon Nov 06 2006 - jkupec@suse.cz
- Unknown command message added (#216211)
- 0.6.3
* Mon Nov 06 2006 - mvidner@suse.cz
- Made it build on SL10.1
- 0.6.2
* Mon Nov 06 2006 - mvidner@suse.cz
- Warn that we do not sync with ZMD (#217028).
- 0.6.1
* Mon Nov 06 2006 - mvidner@suse.cz
- Implemented single package mode for update and list-updates,
  made it the default in rug-compatible mode.
- Added logrotate support (#216911).
- Added callbacks for script execution.
- 0.6.0
* Sat Nov 04 2006 - mvidner@suse.cz
- Ported zypper (except zypp-checkpatches) to libzypp-1.x.x.
- Show patch messages.
- Callbacks: fixed more warnings about unused variables.
- Fixed zypper --version.
* Fri Nov 03 2006 - mvidner@suse.cz
- log to /var/log/YaST2/zypper.log (for save_y2logs too).
- Added dump_pool in "zypper patches"
* Thu Nov 02 2006 - mvidner@suse.cz
- Automatically retry installing with nodeps or force, nicer problem
  display, no more "3, 0 Invalid object" (#216042).
- Do not parse metadata of disabled sources *blush* (#217297).
- Display all "Parsing patch..." on one line.
- Shell would try to repeat the install command over and over,
  fixed.
* Thu Nov 02 2006 - dmacvicar@suse.de
- zypp-checkpatches fixes:
  dont use sourcemanager to restore sources,
  Restore sources one by one,
  skip CD/DVD and disabled sources,
  allow success with still reporting errors,
  new xml format 0.4 , applet coming
- 0.5.3
- r4474
* Wed Nov 01 2006 - mvidner@suse.cz
- Added a manual page zypper(8) (#216028).
- do not unnecessarily link zypper with boost_program_options.
- fixed documentation directories
- 0.5.2, r4462
* Wed Nov 01 2006 - jkupec@suse.cz
- -y, --no-confirm option implemented for install, remove,
  and update command (#216649).
- -r, --rug-compatibility global option introduced - for cases where
  there may be scripts used to parsing rug output
- patch-info implemented
- refresh implemented
- service-list says Enabled and Refresh instead of [x]*
* Wed Nov 01 2006 - mvidner@suse.cz
- First try of zypper "shell" command.
* Tue Oct 31 2006 - mvidner@suse.cz
- Fixed endless loop if stdin not available (#216210).
- Better messages (#216033):
  replaced "Adding resolvables" by "Parsing metadata";
  replaced "Not found" by "package 'foo' not found";
  removed "Problems: (none)";
  removed "Continue?" if there is nothing to install/remove.
* Sun Oct 29 2006 - ro@suse.de
- add missing return value
- also use RPM_OPT_FLAGS for C source
* Fri Oct 27 2006 - jkupec@suse.cz
- FIXED --uninstalled-only does't exclude installed resolvables
- FIXED search for all resolvables displays installed packages
  twice
- FIXED source (catalog) information missing for installed packages
- added rug's 'v' status
- 0.5.1
* Wed Oct 25 2006 - mvidner@suse.cz
- Split the package from libzypp.rpm
- 0.5.0
